import Vue from 'vue';
import Vuex from 'vuex';
import login from './login';
import roomuser from './roomuser';
import role from './role';
import room from './room';
import lookuser from './lookuser';
import gensign from './gensign';
import chat from './chat';
import question from './question';
import questionnaire from './questionnaire';
import * as ustate from './user/state';
import * as umutations from './user/mutations';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    roomuser,
    role,
    room,
    lookuser,
    gensign,
    chat,
    question,
    questionnaire,
  },
});
